/* © 2024 Dummy */

#import "DummyAdORTBAbstract.h"
#import "DummyAdORTBExtMobileSDKEvents.h"

@class DummyAdORTBExtMobileSDKPassthrough;

NS_ASSUME_NONNULL_BEGIN

@interface DummyAdORTBBidExtMobileSDK: DummyAdORTBAbstract

@property (nonatomic, copy, nullable) NSString *type;

// NOTE: TestAdDummy server does not support remote config yet.
@property (nonatomic, copy, nullable) NSArray<DummyAdORTBExtMobileSDKPassthrough *> *passthrough;

// NOTE: TestAdDummy events should be migrated or removed later.
// For now, we shouldn't use it.
@property (nonatomic, strong, nullable) DummyAdORTBExtMobileSDKEvents *events;

@end

NS_ASSUME_NONNULL_END
